OceanBase
English日本語简体中文
Docs Home
Products
Integrations
Release Notes

Databases

OceanBase DatabaseOceanBase Cloud OceanBase Best Practices

Tools

OceanBase Cloud PlatformOceanBase Migration ServiceOceanBase Developer CenterOceanBase Migration AssessmentOceanBase Admin ToolOceanBase Loader and DumperOceanBase DeployerKubernetes operator for OceanBaseOceanBase Diagnostic Tool OceanBase Binlog Service

Connectors and Middleware

OceanBase Database Proxy OceanBase Connector/C OceanBase Connector/J OceanBase Connector/ODBC OceanBase Connector/NETOceanBase Command-Line Client

Databases

OceanBase DatabaseOceanBase Cloud OceanBase Best Practices

Connectors and Middleware

OceanBase Database Proxy OceanBase Connector/C OceanBase Connector/J OceanBase Connector/ODBC OceanBase Connector/NETOceanBase Command-Line Client

Tools

OceanBase Cloud PlatformOceanBase Migration ServiceOceanBase Developer CenterOceanBase Migration AssessmentOceanBase Admin ToolOceanBase Loader and DumperOceanBase DeployerKubernetes operator for OceanBaseOceanBase Diagnostic Tool OceanBase Binlog Service
OceanBase DatabaseOceanBase Cloud ToolsConnectors and MiddlewareLifecycle Support Policy

OceanBase Migration Service

V4.2.5Enterprise Edition
  • OMS Documentation
  • OMS Introduction
    • What is OMS?
    • Terms
    • OMS HA
    • Principles of Store
    • Principles of Full-Import and Incr-Sync
    • Data verification principles
    • Architecture
      • Overview
      • Hierarchical functional system
      • Basic components
    • OMS Oracle full data migration design and impact
    • Limitations
  • Quick Start
    • Data migration process
    • Data synchronization process
  • Deploy OMS
    • Deployment types
    • System and network requirements
    • Memory and disk requirements
    • Environment preparations
    • Deploy OMS on a single node
    • Deploy OMS on multiple nodes in a single region
    • Deploy OMS on multiple nodes in multiple regions
    • Scale out
    • Check the deployment
    • Deploy a time-series database (Optional)
  • OMS console
    • Log in to the OMS console
    • Overview
    • User center
      • Configure user information
      • Change your login password
      • Log out
  • Data migration
    • Overview
    • Migrate data from a MySQL database to a MySQL-compatible tenant of OceanBase Database
    • Migrate data from a MySQL-compatible tenant of OceanBase Database to a MySQL database
    • Migrate data from an Oracle database to a MySQL-compatible tenant of OceanBase Database
    • Migrate data from an Oracle-compatible tenant of OceanBase Database to an Oracle database
    • Migrate data from an Oracle database to an Oracle-compatible tenant of OceanBase Database
    • Migrate data from a DB2 LUW database to an Oracle-compatible tenant of OceanBase Database
    • Migrate data from an Oracle-compatible tenant of OceanBase Database to a DB2 LUW database
    • Migrate data from a DB2 LUW database to a MySQL-compatible tenant of OceanBase Database
    • Migrate data from a MySQL-compatible tenant of OceanBase Database to a DB2 LUW database
    • Migrate data within OceanBase Database
    • Create an active-active disaster recovery task in OceanBase Database
    • Migrate data from a TiDB database to a MySQL-compatible tenant of OceanBase Database
    • Migrate data from a PostgreSQL database to a MySQL-compatible tenant of OceanBase Database
    • Migrate data from a PolarDB-X 1.0 database to a MySQL-compatible tenant of OceanBase Database
    • Migrate incremental data from an Oracle-compatible tenant of OceanBase Database to a MySQL database
    • Manage data migration tasks
      • View details of a data migration task
      • Rename a data migration task
      • View and modify migration objects
      • Use tags to Manage data migration tasks
      • Perform batch operations on data migration tasks
      • Download and import settings of migration objects
      • View and modify the parameter configurations of a data migration task
      • Start and pause a data migration task
      • End and delete a data migration task
    • Supported DDL operations and limits for synchronization
      • Synchronize DDL operations from a MySQL database to a MySQL-compatible tenant of OceanBase Database
        • Overview
        • CREATE TABLE
          • Create a table
          • Create a column
          • Create an index or a constraint
          • Create partitions
        • Data type conversion
        • ALTER TABLE
          • Modify a table
          • Operations on columns
          • Operations on constraints and indexes
          • Operations on partitions
        • TRUNCATE TABLE
        • RENAME TABLE
        • DROP TABLE
        • CREATE INDEX
        • DROP INDEX
        • DDL incompatibilities between a MySQL database and a MySQL-compatible tenant of OceanBase Database
          • Overview
          • Incompatibilities of the CREATE TABLE statement
            • Incompatibilities of CREATE TABLE
            • Column types that are supported to create indexes or constraints
          • Incompatibilities of the ALTER TABLE statement
            • Incompatibilities of ALTER TABLE
            • Change the type of a constrained column
            • Change the type of an unconstrained column
            • Change the length of a constrained column
            • Change the length of an unconstrained column
            • Delete a constrained column
          • Incompatibilities of DROP INDEX operations
      • Synchronize DDL operations from a MySQL-compatible tenant of OceanBase Database to a MySQL database
      • DDL operations for synchronizing data from an Oracle database to an Oracle-compatible tenant of OceanBase Database
        • Overview of DDL synchronization from Oracle to OceanBase Database Oracle compatible mode
        • CREATE TABLE
          • Overview
          • Create a relational table
            • Create a relational table
            • Define columns of a relational table
          • Virtual columns
          • Regular columns
          • Create partitions
            • Overview
            • Partitioning
            • Subpartitioning
            • Composite partitioning
            • User-defined partitioning
            • Subpartition templates
          • Constraints
            • Overview
            • Inline constraints
            • Out-of-line constraints
        • CREATE INDEX
          • Overview
          • Normal indexes
        • ALTER TABLE
          • Modify tables
          • Modify, drop, and add table attributes
          • Column attribute management
            • Modify, drop, and add column attributes
            • Rename a column
            • Add columns and column attributes
            • Modify column attributes
            • Drop columns
          • Modify, drop, and add constraints
          • Partition management
            • Modify, drop, and add partitions
            • Drop a partition
            • Drop subpartitions
            • Add partitions and subpartitions
            • Modify partitions
            • Truncate partitions
        • DROP TABLE
        • RENAME OBJECT
        • TRUNCATE TABLE
        • DROP INDEX
        • DDL incompatibilities between an Oracle database and an Oracle-compatible tenant of OceanBase Database
          • Overview
          • Incompatibilities of CREATE TABLE
          • Incompatibilities in table modification operations
            • Incompatibilities of ALTER TABLE
            • Change the type of a constrained column
            • Change the type of an unconstrained column
            • Change the length of a constrained column
            • Change the length of an unconstrained column
      • Synchronize DDL operations from the Oracle compatible mode of OceanBase Database to an Oracle database
      • Synchronize DDL operations from a DB2 LUW database to an Oracle-compatible tenant of OceanBase Database
      • Synchronize DDL operations from the Oracle compatible mode of OceanBase Database to a DB2 LUW database
      • Synchronize DDL operations from a DB2 LUW database to a MySQL-compatible tenant of OceanBase Database
      • Synchronize DDL operations from a MySQL-compatible tenant of OceanBase Database to a DB2 LUW database
      • DDL synchronization between MySQL-compatible tenants of OceanBase Database
      • DDL synchronization between Oracle-compatible tenants of OceanBase Database
  • Data synchronization
    • Overview
    • Synchronize data from OceanBase Database to a Kafka instance
    • Synchronize data from OceanBase Database to a RocketMQ instance
    • Synchronize data from OceanBase Database to a DataHub instance
    • Synchronize data from an ODP logical table to a physical table in a MySQL-compatible tenant of OceanBase Database
    • Synchronize data from an ODP logical table to a DataHub instance
    • Synchronize data from an IDB logical table to a MySQL-compatible tenant of OceanBase Database
    • Synchronize data from an IDB logical table to a DataHub instance
    • Synchronize data from a MySQL database to a DataHub instance
    • Synchronize data from an Oracle database to a DataHub instance
    • Manage data synchronization tasks
      • View details of a data synchronization task
      • Change the name of a data synchronization task
      • View and modify synchronization objects
      • Use tags to Manage data synchronization tasks
      • Perform batch operations on data synchronization tasks
      • Download and import the settings of synchronization objects
      • View and modify the parameter configurations of a data synchronization task
      • Start and pause a data synchronization task
      • End and delete a data synchronization task
  • Create and manage data sources
    • Create data sources
      • Create an OceanBase data source
        • Create a physical OceanBase data source
        • Create an ODP data source
        • Create an IDB data source
        • Create a public cloud OceanBase data source
        • Create a standalone OceanBase data source
      • Create a MySQL data source
      • Create an Oracle data source
      • Create a TiDB data source
      • Create a Kafka data source
      • Create a RocketMQ data source
      • Create a DataHub data source
      • Create a DB2 LUW data source
      • Create a PostgreSQL data source
      • Create a PolarDB-X 1.0 data source
    • Manage data sources
      • View data source information
      • Copy a data source
      • Edit a data source
      • Delete a data source
    • Create a database user
    • User privileges
    • Enable binlogs for the MySQL database
    • Minimum privileges required when an Oracle database serves as the source
  • OPS & Monitoring
    • O&M overview
    • Go to the overview page
    • Server
      • View server information
      • Update the quota
      • View server logs
    • Components
      • Store
        • Create a store
        • View details of a store
        • Update the configurations of a store
        • Start and pause a store
        • Delete a store
      • Incr-Sync
        • View details of an Incr-Sync component
        • Start and pause an Incr-Sync component
        • Migrate an Incr-Sync component
        • Update the configurations of an Incr-Sync component
        • Batch O&M
        • Delete an Incr-Sync component
      • Full-Import
        • View details of a Full-Import component
        • Pause a Full-Import component
        • Rerun and resume a Full-Import component
        • Update the configurations of a Full-Import component
        • Delete a Full-Import component
      • Full-Verification
        • View details of a Full-Verification component
        • Pause a Full-Verification component
        • Rerun and resume a Full-Verification component
        • Update the configurations of a Full-Verification component
        • Delete a Full-Verification component
    • O&M Task
      • View O&M tasks
      • Skip a task or subtask
      • Retry a task or subtask
    • Parameter Template
      • Overview
      • Task Template
        • Create a task template
        • View and edit task templates
        • Copy and export a task template
        • Delete a task template
      • Component Template
        • Create a component template
        • View and edit component templates
        • Copy and export a component template
        • Delete a component template
      • Component parameters
        • Store parameters
        • Incr-Sync parameters
        • Full-Import Parameters
        • Full-Verification parameters
        • CM parameters
        • Supervisor parameters
  • System management
    • Permission Management
      • Overview
      • Manage users
      • Manage departments
    • Alert center
      • View task alerts
      • View system alerts
      • Manage alert settings
    • Associate with OCP
    • System parameters
      • Modify system parameters
      • Modify HA configurations
      • oblogproxy parameters
    • Manage access keys
    • Operation audit
  • Troubleshooting Guide
    • Manage OMS services
    • OMS logs
    • Component O&M
      • O&M operations for the Supervisor component
      • CLI-based O&M for the Connector component
      • O&M operations for the Store component
    • Component tuning
      • Incr-Sync/Full-Import tuning
      • Oracle store tuning
    • Set throttling
    • Store performance diagnostics
  • Reference Guide
    • Features
      • Configure DDL/DML synchronization
      • Supported DDL operations for synchronization
      • Rename a migration or synchronization object
      • Use SQL conditions to filter data
      • Set an incremental synchronization timestamp
      • Configure matching rules
      • Wildcard patterns supported for matching rules
      • Hidden column mechanisms
      • Instructions on schema migration
      • Create and update a heartbeat table
      • Change the topic
      • Column filtering
      • Data formats
    • API Reference
      • Overview
      • CreateProject
      • StartProject
      • StopProject
      • ResumeProject
      • ReleaseProject
      • DeleteProject
      • ListProjects
      • DescribeProject
      • DescribeProjectSteps
      • DescribeProjectStepMetric
      • DescribeProjectProgress
      • DescribeProjectComponents
      • ListProjectFullVerifyResult
      • StartProjectsByLabel
      • StopProjectsByLabel
      • CreateMysqlDataSource
      • CreateOceanBaseDataSource
      • CreateOceanBaseODPDataSource
      • CreatePolarDBDataSource
      • ListDataSource
      • CreateLabel
      • ListAllLabels
      • DeleteDataSource
      • CreateProjectModifyRecords
      • ListProjectModifyRecords
      • StopProjectModifyRecords
      • RetryProjectModifyRecords
      • CancelProjectModifyRecord
      • SubmitPreCheck
      • GetPreCheckResult
      • UpdateProjectConfig
    • Alert Reference
      • oms_host_down
      • oms_host_down_migrate_resource
      • oms_host_threshold
      • oms_migration_failed
      • oms_migration_delay
      • oms_sync_failed
      • oms_sync_status_inconsistent
      • oms_sync_delay
    • SSO
      • Integrate the OIDC protocol to OMS to implement SSO
      • Integrate the SAML 2.0 protocol to OMS to implement SSO
    • OMS error codes
    • SQL statements for querying database objects
    • Create a trigger
    • Change the log level for a PostgreSQL instance
    • Online DDL tools
    • Supplemental logging in Oracle Database
  • Upgrade Guide
    • Overview
    • Upgrade OMS in single-node deployment mode
    • Upgrade OMS in multi-node deployment mode
    • FAQ
  • FAQ
    • General O&M
      • How do I modify the resource quotas of an OMS container?
      • How do I troubleshoot the OMS server down issue?
      • Deploy InfluxDB for OMS
      • Increase the disk space of the OMS host
    • Task diagnostics
      • How do I troubleshoot common problems with Oracle Store?
      • How do I perform performance tuning for Oracle Store?
      • What do I do when Oracle Store reports an error at the isUpdatePK stack?
      • What do I do when a store does not have data of the timestamp requested by the downstream?
      • What do I do when OceanBase Store failed to access an OceanBase cluster through RPC?
      • How do I use LogMiner to pull data from an Oracle database?
    • OPS & monitoring
      • What are the alert rules?
    • Data synchronization
      • FAQ about synchronization to a message queue
        • What are the strategies for ensuring the message order in incremental data synchronization to Kafka
    • Data migration
      • User privileges
        • What privileges do I need to grant to a user during data migration to or from an Oracle database?
      • Full migration
        • How do I query the ID of a checker?
        • How do I query log files of the Checker component of OMS?
        • How do I query the verification result files of the Checker component of OMS?
        • What do I do if the destination table does not exist?
        • What can I do when the full migration failed due to LOB fields?
        • What do I do if garbled characters cannot be written into OceanBase Database V3.1.2?
      • Incremental synchronization
        • How do I skip DDL statements?
        • How do I migrate an Oracle database object whose name exceeds 30 bytes in length?
        • How do I update whitelists and blacklists?
        • What are the application scope and limits of ETL?
    • Installation and deployment
      • How do I upgrade Store?
  • Release Note
    • V4.2
      • OMS V4.2.5
      • OMS V4.2.4
      • OMS V4.2.3
      • OMS V4.2.2
      • OMS V4.2.1
      • OMS V4.2.0
    • V4.1
      • OMS V4.1.0
    • V4.0
      • OMS V4.0.2
      • OMS V4.0.1
    • V3.4
      • OMS V3.4.0
    • V3.3
      • OMS V3.3.1
      • OMS V3.3.0
    • V3.2
      • OMS V3.2.2
      • OMS V3.2.1
    • V3.1
      • OMS V3.1.0
    • V2.1
      • OMS V2.1.2
      • OMS V2.1.0

Download PDF

Document Feedback
  1. Documentation Center
  2. OceanBase Migration Service
  3. V4.2.5

CreateProject

Last Updated:2026-09-04 08:13:48

Purpose
Call description
Limitations
Request path
Request parameters
Response parameters
Examples
Sample request
Sample response

This topic describes the CreateProject API provided by OceanBase Migration Service (OMS): how to create a migration project.

Purpose

This interface is used to create a data migration or synchronization task.

Call description

Limitations

This interface applies to OMS V4.1.0 and later.

Request path

POST /api/v2?Action=CreateProject

Request parameters

Parameter
Type
Description
name string The name of the task, which cannot contain spaces.
type string The type of the task. Valid values: MIGRATION (indicates a data migration task) and SYNC (indicates a data synchronization task).
labelIds array A collection of tag IDs. At most five tag IDs are supported.
sourceEndpointId string The ID of the source data source. To obtain the ID, call the ListDataSource interface. The ID is in the format of e_****.
sinkEndpointId string The ID of the destination data source. To obtain the ID, call the ListDataSource interface. The ID is in the format of e_****.
transferMapping object The mapping information about the transfer objects.
├─ mode string The transfer object mapping mode. Valid values: SPECIFIC (specifies objects) and WILDCARD (matches rules).
├─ databases object [] The list of database objects. For more information about the parameters in this field, see "Parameters in databases/databasesBlack".
├─ databasesBlack object [] The list of blacklisted database objects in the match rule mode. For more information about the parameters in this field, see "Parameters in databases/databasesBlack".
├─ tableAndViewWhiteList array The wildcard allowlist of tables and views in the match rule mode.
├─ tableAndViewBlackList array The wildcard blocklist of tables and views in the match rule mode.
commonTransferConfig object The common transfer configuration.
├─ tableCategory string The supported table type. Valid values: ALL (all tables), WITH_UNIQUE_ROW_ID (tables with unique row identifiers), and WITHOUT_UNIQUE_ROW_ID (tables without unique row identifiers). Default value: ALL.
├─ activeActive boolean Specifies whether the scenario is an active-active disaster recovery scenario.
├─ mqSerializerType string The JSON serialization type when data is delivered to a message queue. Valid values: DEFAULT, CANAL, DATAWORKS_V2, SHAREPLEX, DEFAULT_WITH_SCHEMA, DEBEZIUM, DEBEZIUMFLATTEN, and DEBEZIUMSMT.
├─ mqPartitionMode string The partition routing mode when data is delivered to a message queue. Valid values: ONE (specify a partition), HASH (hash partition by primary key or shard column value), and TABLE (hash partition by database and table name).
├─ mqPartition integer When partitionMode is ONE, this parameter indicates the position of the delivery partition in the current topic.
├─ datahubTopicType string The type of the topic to which data is delivered to a DataHub instance. Valid values: TUPLE and BLOB.
├─ rocketMqProducerGroup string The name of the production group. This parameter is effective only when the destination data source is a RocketMQ data source. Default value: OMS.
├─ rocketMqMsgTags string The message tags. This parameter is effective only when the destination data source is a RocketMQ data source. Default value: default->default_tag. If the value of this parameter is default, _tag is appended as the suffix.
├─ rocketMqEnableMsgTrace boolean Specifies whether to enable message tracing. This parameter is effective only when the destination data source is a RocketMQ data source.
├─ rocketMqSendMsgTimeout long The timeout period for message delivery. This parameter is effective only when the destination data source is a RocketMQ data source.
├─ dataWorksBusinessName string The identifier of the business system. It is used to identify the business system source of data so that you can perform custom processing on the data later. This parameter is supported only when the JSON serialization type is DataWorks. The length of the value of this parameter must be 1 to 20 characters.
├─ sinkStoreFormat string The object storage type of the destination table. Valid values: Default, Row storage, Column storage, and Hybrid columnar storage.
This parameter is effective only when the destination OceanBase Database is V4.3.0 or later and the migration type is Schema Migration or Incremental Synchronization > DDL synchronization.
├─ sourceStoreFormat string The object storage type of the source table. Valid values: Default, Row storage, Column storage, and Hybrid columnar storage.
This parameter is effective only when the source OceanBase Database is V4.3.0 or later and the migration type is Reverse Increment > DDL synchronization.
enableStructTransfer boolean Specifies whether to allow schema migration.
structTransferConfig object The schema migration configuration.
├─ byteCharConvertStrategy string The byte/char conversion strategy. Valid values: IGNORE_BYTE_IF_BYTE_USED, FORCE_CHAR_IF_BYTE_USED, EXPAND_LEN_IF_BYTE_USED, and DO_NOTHING_IF_BYTE_USED (default).
├─ deferIndexCreation boolean Specifies whether to allow index creation to be postponed. The default value is false.
enableFullTransfer boolean Specifies whether to enable full transfer.
enableFullVerify boolean Specifies whether to enable full verification.
fullTransferConfig object The full transfer configuration.
├─ nonePkUkTruncateDstTable boolean Specifies whether to truncate the destination table when performing full migration of tables without unique indexes in the source.
├─ allowDestTableNotEmpty boolean The processing strategy to be adopted when the destination table contains records. Valid values: Ignore and Stop Migration.
  • When set to true, it indicates to ignore the existing data in the destination table. When data conflicts with the to-be-written data, OMS logs the conflicting data and retains the original data.
  • When set to false, it indicates to stop migration when data exists in the destination table. An error will be returned and migration will not proceed.
├─ fullTransferSpeedMode string The full transfer concurrency speed. Valid values: STEADY, NORMAL, and FAST.
├─ fullVerifySpeedMode string The full verification concurrency speed. Valid values: STEADY, NORMAL, and FAST.
├─ throttleRps integer The maximum allowed transfer rate in records per second in full transfer. Input null to indicate no limit.
├─ throttleIOPS integer The maximum allowed transfer traffic in bytes per second in full transfer. Input null to indicate no limit.
enableIncrTransfer boolean Specifies whether to enable incremental synchronization.
enableReverseIncrTransfer boolean Specifies whether to enable reverse incremental synchronization.
incrTransferConfig object The incremental synchronization configuration.
├─ startTimestamp string The starting timestamp for incremental synchronization. This parameter is supported only when incremental synchronization is enabled but full transfer is not enabled.
├─ recordTypeWhiteList array The data types of incremental data to be synchronized in incremental synchronization mode. Valid values: HEARTBEAT, INSERT, UPDATE, DELETE, BEGIN, COMMIT, ROLLBACK, DDL, and ROW.
├─ storeLogKeptHour integer The log retention period in hours when the incremental log pulling component is Store. The default value is 7, and the maximum value is 365.
├─ enableSequencingWithinTxn boolean Specifies whether to enable sequence number arrangement within a transaction when the incremental log pulling component is Store.
├─ enableIncrSyncStatistics boolean Specifies whether to enable statistics collection for incremental records (DML and DDL).
├─ incrOnlineDdlConfig array The value of this parameter indicates the online DDL tool that needs to be adapted. Valid values: GH_OST, PT_OSC, and ALIYUN_DMS, indicating gh-ost, pt-osc, and Alibaba Cloud DMS respectively.
  • This parameter is effective only in the configuration of forward incremental synchronization from a MySQL database to a MySQL-compatible tenant of OceanBase Database.
  • This parameter is effective only in the configuration of reverse incremental synchronization from a MySQL-compatible tenant of OceanBase Database to a MySQL database.
├─ incrSyncConcurrency integer The number of threads for incremental synchronization. The default value is 64.
├─ incrLogPullSpeedMode string The incremental log pulling speed. Valid values: STEADY (low), NORMAL (medium), FAST (high), and CUSTOM (custom).
├─ incrLogPullSpeedConfig object The incremental log pulling resource configuration. This parameter is effective only when incrLogPullSpeedMode is set to CUSTOM.
├─├─ memory integer The maximum memory size allowed for incremental log pulling.
├─ incrLogSyncSpeedMode string The incremental data writing speed. Valid values: STEADY (low), NORMAL (medium), FAST (high), and CUSTOM (custom).
├─ incrLogSyncSpeedConfig object The incremental data writing resource configuration. This parameter is effective only when incrLogSyncSpeedMode is set to CUSTOM.
├─├─ memory integer The maximum memory size allowed for incremental log writing.
├─├─ writerWorkerNum integer The number of concurrent incremental log writers.
├─ throttleRps integer The maximum allowed transfer rate in records per second in incremental synchronization. Input null to indicate no limit.
├─ throttleIOPS integer The maximum allowed transfer traffic in bytes per second in incremental synchronization. Input null to indicate no limit.
├─ supportDDLTypes array The supported DDL types.
  • CREATE_TABLE
  • ALTER_TABLE
  • DROP_TABLE
  • RENAME_TABLE
  • TRUNCATE_TABLE
  • CREATE_INDEX
  • DROP_INDEX
reverseIncrTransferConfig object The configuration of reverse incremental synchronization.
├─ startTimestamp string The starting timestamp for reverse incremental synchronization. This parameter is supported only when incremental synchronization is enabled but full transfer is not enabled.
├─ recordTypeWhiteList array The data types of incremental data to be synchronized in reverse incremental synchronization mode. Valid values: HEARTBEAT, INSERT, UPDATE, DELETE, BEGIN, COMMIT, ROLLBACK, DDL, and ROW.
├─ storeLogKeptHour integer The log retention period in hours when the incremental log pulling component is Store. The default value is 7, and the maximum value is 365.
├─ enableSequencingWithinTxn boolean Specifies whether to enable sequence number arrangement within a transaction when the incremental log pulling component is Store.
├─ enableIncrSyncStatistics boolean Specifies whether to enable statistics collection for incremental records (DML and DDL).
├─ incrOnlineDdlConfig array The value of this parameter indicates the online DDL tool that needs to be adapted. Valid values: GH_OST, PT_OSC, and ALIYUN_DMS, indicating gh-ost, pt-osc, and Alibaba Cloud DMS respectively.
  • This parameter is effective only in the configuration of forward incremental synchronization from a MySQL database to a MySQL-compatible tenant of OceanBase Database.
  • This parameter is effective only in the configuration of reverse incremental synchronization from a MySQL-compatible tenant of OceanBase Database to a MySQL database.
├─ incrSyncConcurrency integer The number of threads for reverse incremental synchronization. The default value is 64.
├─ incrLogPullSpeedMode string The reverse incremental log pulling speed. Valid values: STEADY (low), NORMAL (medium), FAST (high), and CUSTOM (custom).
├─ incrLogPullSpeedConfig object The reverse incremental log pulling resource configuration. This parameter is effective only when incrLogPullSpeedMode is set to CUSTOM.
├─├─ memory integer The maximum memory size allowed for reverse incremental log pulling.
├─ incrLogSyncSpeedMode string The reverse incremental data writing speed. Valid values: STEADY (low), NORMAL (medium), FAST (high), and CUSTOM (custom).
├─ incrLogSyncSpeedConfig object The reverse incremental data writing resource configuration. This parameter is effective only when incrLogSyncSpeedMode is set to CUSTOM.
├─├─ memory integer The maximum memory size allowed for reverse incremental log writing.
├─├─ writerWorkerNum integer The number of concurrent reverse incremental log writers.
├─ throttleRps integer The maximum allowed transfer rate in records per second in reverse incremental synchronization. Input null to indicate no limit.
├─ throttleIOPS integer The maximum allowed transfer traffic in bytes per second in reverse incremental synchronization. Input null to indicate no limit.
├─ supportDDLTypes array The supported DDL types.
  • CREATE_TABLE
  • ALTER_TABLE
  • DROP_TABLE
  • RENAME_TABLE
  • TRUNCATE_TABLE
  • CREATE_INDEX
  • DROP_INDEX
  • Parameters in databases/databasesBlack

    Parameter
    Type
    Description
    mappedName string The name of the target database.
    name string The name of the source database.
    id string The ID of the database.
    tables array The list of table object configurations to be transferred in the current database. When mode is WILDCARD, this parameter indicates the configuration of the specific blacklisted or whitelisted tables and views.
    ├─ mappedName string The mapped name of the table.
    ├─ name string The name of the table.
    ├─ id string The ID of the table.
    ├─ whereClause string The WHERE clause in a standard SQL statement for configuring row filtering.

    Notice

    When mode is WILDCARD, you cannot set whereClause.

    ├─ filterColumns array The filtered column set.

    Notice

    When mode is WILDCARD, you cannot set filterColumns.

    ├─ shardColumns array The shard column set.

    Notice

    When mode is WILDCARD, you cannot set shardColumns.

    views array The view object configurations to be transferred in the current database.
    ├─ mappedName string The mapped name of the view.
    ├─ name string The name of the view.
    ├─ id string The ID of the view.
    ├─ whereClause string The WHERE clause in a standard SQL statement for configuring row filtering.

    Notice

    When mode is WILDCARD, you cannot set whereClause.

    ├─ filterColumns array The filtered column set.

    Notice

    When mode is WILDCARD, you cannot set filterColumns.

    ├─ shardColumns array The shard column set.

    Notice

    When mode is WILDCARD, you cannot set shardColumns.

    specificTables array The specific table object configurations. When mode is WILDCARD, this parameter indicates the renaming and row filtering configurations of specific tables.
    ├─ mappedName string The mapped name of the table.
    ├─ name string The name of the table.
    ├─ id string The ID of the table.
    ├─ whereClause string The WHERE clause in a standard SQL statement for configuring row filtering.

    Notice

    When mode is WILDCARD, you cannot set whereClause.

    ├─ filterColumns array The filtered column set.

    Notice

    When mode is WILDCARD, you cannot set filterColumns.

    ├─ shardColumns array The shard column set.

    Notice

    When mode is WILDCARD, you cannot set shardColumns.

    specificViews array The specific view object configurations. When mode is WILDCARD, this parameter indicates the renaming configurations of specific views.
    ├─ mappedName string The mapped name of the view.
    ├─ name string The name of the view.
    ├─ id string The ID of the view.
    ├─ whereClause string The WHERE clause in a standard SQL statement for configuring row filtering.

    Notice

    When mode is WILDCARD, you cannot set whereClause.

    ├─ filterColumns array The filtered column set.

    Notice

    When mode is WILDCARD, you cannot set filterColumns.

    ├─ shardColumns array The shard column set.

    Notice

    When mode is WILDCARD, you cannot set shardColumns.

Response parameters

Parameter
Type
Description
success boolean Indicates whether the call is successful.
errorDetail object Details of the error.
code string Error code.
message string Description of the error.
advice string Suggestion.
requestId string Request ID.
pageNumber integer[int32] Page number. This parameter is effective only when you query data in pages.
pageSize integer[int32] Number of records per page. This parameter is effective only when you query data in pages.
totalCount integer[int64] Total number of records. This parameter is effective only when you query data in pages.
cost string Request latency in seconds.
data string ID of the task.

Examples

Sample request

{
    "name":"test",
    "type":"MIGRATION",
    "labelIds":[
        "l_4w****wygjk"
    ],
    "sourceEndpointId":"e_4wg07f****",
    "sinkEndpointId":"e_4wfy2****",
    "transferMapping":{
        "mode":"SPECIFIC",
        "databases":[
            {
                "mappedName":"gez3***",
                "name":"ion1****bmysql",
                "id":null,
                "tables":[
                    {
                        "mappedName":"tion12***20obmysql2",
                        "name":"GRATION129****",
                        "id":null,
                        "whereClause":null,
                        "filterColumns":null,
                        "shardColumns":null,
                    }
                ],
                "views":null,
                "specificTables":null,
                "specificViews":null
            }
        ],
        "databasesBlack":null,
        "tableAndViewWhiteList":null,
        "tableAndViewBlackList":null
    },
    "commonTransferConfig":{
        "tableCategory":null,
        "activeActive":false,
        "mqSerializerType":null,
        "mqPartitionMode":null,
        "mqPartition":0,
        "datahubTopicType":null,
        "rocketMqProducerGroup":null,
        "rocketMqMsgTags":null,
        "rocketMqEnableMsgTrace":null,
        "rocketMqSendMsgTimeout":null,
        "dataWorksBusinessName":null
    },
    "enableStructTransfer":true,
    "structTransferConfig":{
        "byteCharConvertStrategy":"DO_NOTHING_IF_BYTE_USED",
        "deferIndexCreation":true
    },
    "enableFullTransfer":true,
    "enableFullVerify":true,
    "fullTransferConfig":{
        "nonePkUkTruncateDstTable":null,
        "allowDestTableNotEmpty":true,
        "throttleRps": 1000,
        "throttleIOPS": 1000,
        "fullTransferSpeedMode":"NORMAL",
        "fullVerifySpeedMode":"NORMAL"     
    },
    "enableIncrTransfer":true,
    "enableReverseIncrTransfer":true,
    "incrTransferConfig":{
        "startTimestamp":1689201369,
        "storeLogKeptHour":120,
        "recordTypeWhiteList":[
            "DELETE",
            "INSERT",
            "UPDATE"
        ],
        "enableSequencingWithinTxn":true,
        "incrSyncConcurrency":64,
        "incrLogPullSpeedMode":"NORMAL",
        "incrLogPullSpeedConfig":{
            "memory":4
            },
        "incrLogSyncSpeedMode":"CUSTOM",
        "incrLogSyncSpeedConfig":{
            "memory":4,
            "writerWorkerNum":2
            },
        "throttleRps": 1000,
        "throttleIOPS": 1000,
        "enableIncrSyncStatistics":true,
        "supportDDLTypes":[
            "CREATE_TABLE",
            "ALTER_TABLE"
        ],
        "incrOnlineDdlConfig":[
          "GH_OST",
          "PT_OSC",
          "ALIYUN_DMS"
        ]
    },
    "ReverseIncrTransferConfig":{
        "startTimestamp":1689201369,
        "recordTypeWhiteList":[
            "DELETE",
            "INSERT",
            "UPDATE"
        ],
        "storeLogKeptHour":120,
        "incrSyncConcurrency":64,
        "incrLogPullSpeedMode":"NORMAL",
        "incrLogPullSpeedConfig":{
            "memory":4
            },
        "incrLogSyncSpeedMode":"CUSTOM",
        "incrLogSyncSpeedConfig":{
            "memory":4,
            "writerWorkerNum":2
            },
        "throttleRps": 1000,
        "throttleIOPS": 1000,
        "enableIncrSyncStatistics":true,
        "supportDDLTypes":[
            "CREATE_TABLE",
            "ALTER_TABLE"
        ]
    }
}

Sample response

{
    "Success":true,
    "ErrorDetail":{
        "Code":"CM-RES***11",
        "Level":"WARN",
        "Message":"A system error occurred.",
        "Proposal":"Contact the administrator."
    },
    "Code":"INNER_ERROR",
    "Message":"A system error occurred.",
    "Advice":"Contact the administrator.",
    "RequestId":"XCVSADG****DSGDS",
    "PageNumber":1,
    "PageSize":1,
    "TotalCount":1,
    "Cost":"27 ms",
    "Data":"np_****"
}

Previous topic

Overview
Last

Next topic

StartProject
Next
on this page
Purpose
Call description
Limitations
Request path
Request parameters
Response parameters
Examples
Sample request
Sample response